'''This is the 'nester.py' moudle, and it provides one function called
print_lol() which prints lists that may or may not included nested lists.'''

def print_lol(listoflist, level = 0):
    '''This function takes a list argument. Each data item in the list
    is (recursively) printed to the screen on its own line.'''
    for each in listoflist:
        if isinstance(each, list):
            print_lol(each, level + 1)
        else:
            for tab_stop in range(level):
                print("\t", end='')
            print(each)
